package com.flow.service;

import com.flow.common.core.model.PageResult;
import com.flow.common.mybatis.service.BaseService;
import com.flow.entity.ReportTemplate;
import com.flow.model.ReportTemplateQuery;

import java.util.Set;

public interface ReportTemplateService extends BaseService<ReportTemplate> {

    PageResult<ReportTemplate> getList(ReportTemplateQuery reportTemplateQuery);

    ReportTemplate create(ReportTemplate reportTemplate);

    ReportTemplate update(ReportTemplate reportTemplate);

    void delete(Set<Long> ids);

}
