package com.flow.controller;

import com.flow.common.core.model.PageResult;
import com.flow.common.core.model.Result;
import com.flow.entity.FlowCc;
import com.flow.model.FlowCcQuery;
import com.flow.service.FlowCcService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;


@RestController
@RequestMapping("/cc")
public class FlowCcController {
    @Autowired
    private FlowCcService flowCcService;

    @GetMapping
    public Result<PageResult<FlowCc>> list(FlowCcQuery flowCcQuery) {
        PageResult<FlowCc> pageResult = flowCcService.list(flowCcQuery);
        return Result.success(pageResult);
    }


}
