package com.flow.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.time.LocalDateTime;

@TableName(value = "flow_cc", autoResultMap = true)
@Data
public class FlowCc {
    @JsonSerialize(using = ToStringSerializer.class)
    @TableId(type = IdType.AUTO)
    private Long id;
    private String name;
    private String instanceId;
    @TableField(exist = false)
    private String instanceName;
    @TableField(exist = false)
    private String startUserId;
    @TableField(exist = false)
    private LocalDateTime startTime;
    private String definitionId;
    private String nodeId;
    private String userId;
    private LocalDateTime createTime;
}
