package com.flow.service;

import com.flow.common.core.model.PageResult;
import com.flow.common.mybatis.service.BaseService;
import com.flow.entity.ReportDatasource;
import com.flow.model.ExecSql;
import com.flow.model.ReportDatasourceQuery;

import java.util.List;
import java.util.Map;
import java.util.Set;

public interface ReportDatasourceService extends BaseService<ReportDatasource> {

    PageResult<ReportDatasource> getList(ReportDatasourceQuery reportDatasourceQuery);

    ReportDatasource create(ReportDatasource reportDatasource);

    ReportDatasource update(ReportDatasource reportDatasource);

    void delete(Set<Long> ids);

    List<Map<String, Object>> execSql(ExecSql execSql);
}
