package com.flow.cmd;

import lombok.AllArgsConstructor;
import org.flowable.common.engine.impl.interceptor.Command;
import org.flowable.common.engine.impl.interceptor.CommandContext;
import org.flowable.engine.impl.persistence.entity.ExecutionEntity;
import org.flowable.engine.impl.persistence.entity.ExecutionEntityManager;
import org.flowable.engine.impl.util.CommandContextUtil;

@AllArgsConstructor
public class CreatExecutionCmd implements Command<ExecutionEntity> {
    private ExecutionEntity executionEntity;

    @Override
    public ExecutionEntity execute(CommandContext commandContext) {
        ExecutionEntityManager executionEntityManager = CommandContextUtil.getExecutionEntityManager(commandContext);
        executionEntityManager.insert(executionEntity);
        return executionEntity;
    }
}
