package com.flow.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.flow.common.mybatis.dao.BaseDao;
import com.flow.entity.FlowInstance;
import com.flow.model.FlowInstanceQuery;
import org.apache.ibatis.annotations.Param;


public interface FlowInstanceDao extends BaseDao<FlowInstance> {

    IPage<FlowInstance> list(@Param("page") IPage<FlowInstance> page, @Param("query") FlowInstanceQuery flowInstanceQuery);

    FlowInstance getInstance(String instanceId);
}
